/*
PET CARE PROJECT
COUNTY BUSINESS PATTERNS ANALYSIS

THIS DO FILE STARTS WITH THE AGGREGATE CBP COUNTY LEVEL FILE AND PRODUCES DATA FOR 
TIME SERIES OF PETS VS. HEALTH CARE ESTABLISHMENT/EMPLOYMENT PROVIDERS (FIG 3)
*/

#delimit;
clear;
set more off;
cd "$new";

use cbpfile, clear;
rename fipstate state_fips;
rename fipscty cty_fips;

*RESHAPE WIDE TO MAKE IT COUNTY-YEAR STRUCTURE;
reshape wide emp ap est, i(state_fips cty_fips yr) j(type) str;

order state_fips cty_fips yr est* emp*;
recode emp* est* (mis=0);

*------------------------------------------------------------------------------;
*TIME SERIES CHART FOR US;

collapse (sum) empall empphys empvet estall estphys estvet, by (yr);
sort yr;

foreach var of varlist emp* est*{;
	gen norm`var'=`var'/`var'[1];
};

*Copy or export to excel to produce chart in paper;

*END CODE;
