/*
PET CARE PROJECT
CEX ANALYSIS

THIS DO FILE STARTS WITH THE HOUSEHOLD-YEAR LEVEL FILE, COLLAPSES BY 
INCOME CATEGORY AND PRODUCES MEAN SPENDING VALUE BY INCOME CATEGORY (FIG 2)
*/

#delimit;
clear all;

set more off;

cd "$new";

use cexfile, clear;

ren totpetanrl petanrl;

*Reduce the categories of income class;
destring inclass, force replace;
gen incty=1;
replace incty=2 if inclass==5;
replace incty=3 if inclass==6;
replace incty=4 if inclass==7;
replace incty=5 if inclass==8;
replace incty=6 if inclass==9 ;
replace incty=. if inclass==10;

label define inclab 1 "<20k" 2 "20-30k" 3 "30-40k" 4 "40-50k" 5 "50-70k" 
	6 ">70k";
label values incty inclab;

*Weighted frequency by income category;
replace incty=0 if incty==.;
tab incty [aw=finlwt21];

*Mean value by income category for each type of spending;
local outc pet vet hc hous entrt;
foreach var of local outc{;
	tab incty [aw=finlwt21], summ(`var'anrl);
};

*Copy or export to excel file to produce chart;

*END CODE;

