/*	
PET CARE PROJECT	
END-OF-LIFE SPENDING	
	
THIS DO FILE STARTS WITH THE MEDICARE END-OF-LIFE SPENDING FILE OF PATIENTS DIAGNOSED	
WITH LYMPHOMA LATEST BY THE YEAR BEFORE DEATH OUTPUT FROM THE SAS CODE. THEN RESHAPES	
IT WIDE AND PRODUCES MONTHLY MEAN/MEDIAN VALUES. (FIG 4)	
*/	
	
#delimit;	
clear all;	
set more off;	
	
cd $new;	
	
*Since i am using spending across different years, convert all to 2012$	
*bring in CPI adjusters;	
import excel using $raw\medical_care_series_2006_14.xlsx, firstrow clear;	
rename Annual cpi;	
rename Year deathyr;	
drop if deathyr<2012;	
gen index2012 = cpi[1]/cpi;	
tempfile cpi;	
save `cpi', replace;	
	
local varlist link_id deathyr total month;	
	
use `varlist' using lymph_end_of_life, clear;	
	
merge m:1 deathyr using `cpi', keepusing(index2012);	
ren index2012 deathyr_factor;	
drop if _m==2;	
drop _m;	
	
*adjust spending to 2012$;	
gen adj_total = total*deathyr_factor; 	
	
*Drop weird observations where spending exists beyond death date;	
replace month=1 if month==0;	
drop if month<0;	
	
collapse (sum) total (mean) deathyr, by (link_id month);	
	
*Reshape wide;	
reshape wide total, i(link_id deathyr) j(month);	

*Add zeros wherever missing;	
recode total* (mis=0);	
	
tabstat total1 total2 total3 total4 total5 total6 total7 total8 total9	
	total10 total11 total12, statistics(mean median p75 p90) columns(statistics);
	 
*END CODE;	
