/*
PET CARE PROJECT
MASTER FILE THAT CALLS INDIVIDUAL FILES

*/

#delimit;
clear all;
global raw "<folder containing raw CEX/CBP data>";
global new "<folder containing all stata files/code>";

set more off;
cd "$new";

*PREPARE CPI SERIES FILE;
do cpi_prepare;

*PREPARE CONSUMER EXPENDITURE SURVEY FILE "CEXFILE.DTA" FROM RAW DATA ;
do cex_prepare;

*PRODUCE DATA FOR FIGURE 1;
do cex_fig1;

*PRODUCE DATA FOR FIGURE 2;
do cex_fig2;

*PREPARE COUNTY BUSINESS PATTERNS FILE "CBPFILE.DTA" FROM RAW DATA ;
do cbp_prepare;

*PRODUCE DATA FOR FIGURE 3;
do cbp_fig3;

*PREPARE VETERINARY BILLING FILE FROM RAW DATA AND PRODUCE SUMMARY STATS FOR FIGURE;
do vet_fig4;

*PREPARE MEDICARE END-OF-LIFE SPENDING DATA FILE FROM RAW CLAIMS DATA;
*****USE SAS*****
*STEP 1: RUN SAS FILE "MC_PREPARE_MACROS.TXT";
*STEP 2: RUN SAS FILE "MC_PREPARE_RUN.TXT"; 

*PRODUCE DATA FOR FIGURE 4 MEDICARE LYMPHOMA END-OF-LIFE SPENDING SERIES;
do mc_fig4;

*END CODE
